> ## Documentation Index
> Fetch the complete documentation index at: https://docs.token.poryf.com/llms.txt
> Use this file to discover all available pages before exploring further.

# MiniMax-H3-Max

> MiniMax H3-Max 的文生视频、首尾帧图生视频参数与计费。

MiniMax-H3-Max 支持文生视频和首帧 / 首尾帧图生视频，原生同步生成声音。

* 接口：`POST https://token.poryf.com/v1/videos`（异步任务）
* [查看价格](https://token.poryf.com/pricing/MiniMax-H3-Max) · [在线试用](https://token.poryf.com/model-guide/MiniMax-H3-Max)

## 请求参数

**Authorization** `string` *required*

`Bearer YOUR_API_KEY`，在 [控制台的 API 密钥页](https://token.poryf.com/keys) 创建。

| 字段 | 说明 |
| - | - |
| `model` | 必填，`MiniMax-H3-Max` |
| `prompt` | 必填，画面、运动与声音描述，最多 7000 字符 |
| `seconds` | 5–15 秒的整数，默认 5 |
| `metadata.resolution` | `480P` 或 `768P`，默认 `480P` |
| `metadata.ratio` | 文生视频画幅为 `16:9`（默认）、`9:16`、`1:1`、`4:3`、`3:4` 或 `21:9`。图生视频跟随输入图片的比例 |
| `metadata.content` | 首尾帧图片，每个角色最多一张。使用公开的 HTTP(S) 图片 URL |

## 文生视频

```json theme={null}
{
  "model": "MiniMax-H3-Max",
  "prompt": "一艘小船驶过晨雾中的湖面，镜头缓慢跟随，带自然水声",
  "seconds": 5,
  "metadata": { "resolution": "480P", "ratio": "16:9" }
}
```

## 首尾帧图生视频

```json theme={null}
{
  "model": "MiniMax-H3-Max",
  "prompt": "镜头缓慢推近，花朵从含苞到完全绽放",
  "seconds": 5,
  "metadata": {
    "resolution": "768P",
    "content": [
      { "type": "image_url", "image_url": { "url": "https://example.com/first.jpg" }, "role": "first_frame" },
      { "type": "image_url", "image_url": { "url": "https://example.com/last.jpg" }, "role": "last_frame" }
    ]
  }
}
```

只传一张 `first_frame` 即可生成首帧视频。提交返回任务 ID，轮询和下载见[视频通用说明](https://docs.token.poryf.com/api/videos/overview.md#查询进度)。

## 计费

按输出视频时长和分辨率计费。提交时按请求参数预扣，任务完成后按实际输出结算，失败自动退款。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.